ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015011ClearOSapp-web-proxy - Web Proxypublic2017-05-23 01:162017-08-12 06:57
Reporterdloper 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.3.1 UpdatesFixed in Version7.3.1 
Summary0015011: Make squid_lans.conf more configurable
DescriptionImprove the scope of lans that squid can proxy for by making squid_lans more configurable. An override should be present so that filtering can happen on more networks defined by CIDR.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005741)
pbaldwin (administrator)
2017-06-05 08:04
edited on: 2017-06-05 08:04

The Network API (used by Squid) reads the EXTRALANS parameter in /etc/clearos/network.conf. If you define additional LANs like so:

EXTRALANS="192.168.10.0/24 192.168.99.0/24"

... those will appear in squid_lans.conf

And yes, an administrator needs to make sure networks do not overlap. Overlaps can not only cause problems for the Web Proxy, but also other consumers of that parameter (OpenVPN for example).

(0006251)
pbaldwin (administrator)
2017-08-12 06:57

See previous note. No changes are required as far as I can tell.

- Issue History
Date Modified Username Field Change
2017-05-23 01:16 dloper New Issue
2017-06-05 08:04 pbaldwin Note Added: 0005741
2017-06-05 08:04 pbaldwin Assigned To => pbaldwin
2017-06-05 08:04 pbaldwin Status new => feedback
2017-06-05 08:04 pbaldwin Note Edited: 0005741 View Revisions
2017-06-05 08:06 pbaldwin Severity minor => feature
2017-08-12 06:55 pbaldwin Target Version 7.4.0 Beta 1 => 7.3.1 Updates
2017-08-12 06:57 pbaldwin Note Added: 0006251
2017-08-12 06:57 pbaldwin Status feedback => resolved
2017-08-12 06:57 pbaldwin Fixed in Version => 7.3.1
2017-08-12 06:57 pbaldwin Resolution open => no change required
2017-08-12 06:57 pbaldwin Status resolved => closed